[App] PVR+ 3.x

Here are software that related with Samsung B series TVs. Like hex editors, new version of BusyBox or internal software, app programs that will run in your TV hardware.:!:This forum is NOT FOR USER QUESTIONS or Problems.

mjuti
Posts: 27
Joined: Sun Mar 03, 2013 2:36 am

Re: [App] PVR+ 3.x

Post by mjuti »

[/quote] Maybe it cannot determine free space on the drive. Please try to turn off "Low space test" in PVR+ setup menu.
Other option: Try CIFS. I was also testing VUSB using network - but with Windows CIFS, not NFS - and worked well.
Third option: wait for PVR+ 4.0, which will allow to set-up user-definable target path using text config file (somebody missed this).

Please also test (using telnet for instance) if it is possible to determine free space on the network drive (VUSB+NFS).

See you.[/quote]

NFS is OK, I can play anything but no recording. switched off low space test in options did not help: this is what I see through ssh:
# df -h
Filesystem Size Used Available Use% Mounted on
/dev/tbml6 3.1M 3.1M 0 100% /
none 10.0M 2.9M 7.1M 29% /dtv
/dev/tbml7 896.0k 896.0k 0 100% /mtd_boot
none 145.5M 0 145.5M 0% /mtd_ram
/dev/stl0/14 11.0M 2.9M 8.1M 26% /mtd_rwarea
/dev/tbml10 60.0M 51.2M 8.8M 85% /mtd_exe
/dev/tbml11 28.6M 28.6M 0 100% /mtd_appdata
/dev/stl0/13 189.0M 173.7M 15.3M 92% /mtd_tlib
/dev/stl0/15 50.0M 3.1M 46.9M 6% /mtd_contents
/dev/stl0/16 87.9M 20.4M 67.5M 23% /mtd_down
/dev/stl0/12 149.0M 2.7M 146.3M 2% /mtd_wiselink
/dev/stl0/17 87.0M 176.0k 86.8M 0% /mtd_swu
/dev/sda1 7.4G 4.0G 3.4G 54% /dtv/usb/sda1
/dev/sdb1 122.1M 75.1M 47.0M 61% /dtv/usb/sdb1
/dev/stl0/14 11.0M 2.9M 8.1M 26% /etc/passwd
/dev/stl0/14 11.0M 2.9M 8.1M 26% /etc/profile
none 145.5M 0 145.5M 0% /mtd_ram
/dev/sdc 482.0k 478.0k 4.0k 99% /dtv/usb/sdc
192.168.1.1:/mnt 1.3T 211.3G 1.1T 16% /dtv/usb/sdc/nfs/192.168.1.1/_mnt

I use this script for recording through nfs:

#!/bin/sh
#
# ? Copyleft 1996-2011, ZsoltTech.Com
# by Ser Lev Arris <arris@ZsoltTech.Com>
# based on research of:
# andy_nl: http://sourceforge.net/apps/phpbb/samyg ... ile&u=1728
# gipas: http://sourceforge.net/apps/phpbb/samyg ... ile&u=1751
# http://sourceforge.net/apps/phpbb/samyg ... =20#p10553
#
# donated for the SamyGo Project
# http://samygo.sourceforge.net/
#
# http://www.gnu.org/licenses/gpl-howto.html
#
# This script is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# any later version.
#
# This script is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this script. If not, see <http://www.gnu.org/licenses/>.
#

#
# TODO: more sysv style, more error handling
#
# Modified by Remigio Conti 20110110
#

. /dtv/SGO.env

# Remote NFS fileserver for recording
PVRSERVER='192.168.1.1'

# Remote NFS share for recording
PVRPATH='/mnt/pvr_record'

# NFS mount options. If you experince problem like slow performance, try change this.
# M_OPTS="soft,udp,async,nolock,rsize=32768,wsize=8192"
# M_OPTS="rw,soft,udp,nolock,rsize=32768,wsize=32768"
# M_OPTS="soft,tcp,nolock,rsize=32768,wsize=32768"
# M_OPTS="soft,tcp,nolock,rsize=8192,wsize=8192"
M_OPTS="soft,tcp,nolock"

# Number of second to wait for pvrimage mount point to be ready.
# If you experience problem like "No virtual device found ready for PVR or already mounted" message in samygo.log then try to increase this.
WAIT=25


WriteToLog ()
{
case $2 in
1)
NOW=`date +%Y%m%d-%H%M%S`
echo "$3" "$NOW $1" >>$LOGFILE
;;
2)
echo "$3" "$1" >>$LOGFILE
;;
esac
}

CheckNFSServer ()
{
WriteToLog "Check if server $1 is reachable and NFS service available..." 1 '-n'
showmount --no-header -e $1 1>/dev/null 2>&1
if [ $? = 0 ]; then
WriteToLog 'OK' 2
return 0
else
echo "NFS server $1 not reachable or NFS service not available"
WriteToLog 'not reachable or NFS service not available' 2
return 1
fi
}

SearchPVRImageMP ()
{
FOUND=false
WriteToLog 'Search for mount point of pvrimage...' 1
sleep $WAIT
for DEV in `echo $SAMYGODEVS`
do
MPOINT=`grep -e ^$DEV /proc/mounts | cut -d " " -f 2`
if [ -e "$MPOINT/.PlaceHolderDO-NOT-REMOVE" ] && [ $FOUND = false ]; then
PVRMPOINT=$MPOINT
FOUND=true
WriteToLog "pvrimage mount point is $PVRMPOINT" 1
fi
done

}

MountNFSShare ()
{
WriteToLog "Mount of $2:$3 on $4... " 1 '-n'
/bin/busybox mount -o "$1" "$2:$3" "$4" 2>>$LOGFILE

if [ $? = 0 ]; then
WriteToLog 'OK' 2
CONTENTSDIR="$4/CONTENTS"
if ! [ -d "$CONTENTSDIR" ]; then
echo -n "Creating directory $CONTENTSDIR for the first time..."
WriteToLog "Creating directory $CONTENTSDIR for the first time..." 1 '-n'
mkdir "$CONTENTSDIR"
echo "OK"
WriteToLog 'OK' 2
echo -n "Creating .PVRPfmChkLog file..."
WriteToLog 'Creating .PVRPfmChkLog file...' 1 '-n'
echo '1' > "$CONTENTSDIR/.PVRPfmChkLog"
echo "OK"
WriteToLog 'OK' 2
fi
echo "PVR on server $2 is now ready in localpath $4"
WriteToLog "PVR on server $2 is now ready in localpath $4" 1
else
echo "Error during mount of $2:$3 on $4 see $LOGFILE for details"
fi
}

case $1 in
start)
echo >$LOGFILE
WriteToLog 'Start Record to Network Share script (80_80_record_to_nwshare.init)' 1
CheckNFSServer "$PVRSERVER"
if [ $? = 0 ]; then
SearchPVRImageMP

if [ $FOUND = true ]; then
MountNFSShare "$M_OPTS" "$PVRSERVER" "$PVRPATH" "$PVRMPOINT"
else
echo 'No virtual device found ready for PVR or already mounted'
WriteToLog 'No virtual device found ready for PVR or already mounted' 1
fi
fi
WriteToLog 'End Record to Network Share script (80_80_record_to_nwshare.init)' 1
;;
stop)
echo "pls request it on forum"
;;
status)
echo "pls request it on forum"
;;
*)
echo "Usage: $0 {start|stop|status}" 1>&2
exit 0
;;
esac

Sorry for being too long.... thanks in advance, mjuti
c74k
Posts: 105
Joined: Tue May 04, 2010 7:45 pm

Re: [App] PVR+ 3.x

Post by c74k »

are you try record by samba ??
codyrocco
Posts: 1
Joined: Tue Apr 30, 2013 4:58 pm

Re: [App] PVR+ 3.x

Post by codyrocco »

device: UE32B7020

i created MOVIE001.sh script, putting it in /mtd_tlib/GGame/PVRplus/scripts

Code: Select all

#!/bin/sh

#create folder MOVIE001
mkdir -p /mtd_wiselink/MOVIE001/

#mount samba defined resource ; please change IP and shared folder
#which must have write rights for all users (777 on unix), otherwise "device not ready" error will occur
mount --bind /dtv/usb/sda/smb/192.168.24.2/rw /mtd_wiselink/MOVIE001
first of all i run SamyGO extensions, to find shares and create mountpoints; then i run PVRPlus 3.1
unfortunately, i'm obtaining an error - "Cannot execute script!" - when i'm trying to record something (PVRPLus is set to record into MOVIE001, not in Auto).
the script have 755 rights, is unix-style formatted [not msdos].
executing it in command line will give expected results (but must be renamed after this, the execution error will remain)
any idea?
mjuti
Posts: 27
Joined: Sun Mar 03, 2013 2:36 am

Re: [App] PVR+ 3.x

Post by mjuti »

c74k wrote:are you try record by samba ??
No, I have no samba, only nfs...
Has anybody ever had success in pvr recording through NFS on a B series Samsung?
I have tried lots of options but no success ( even method for c series ) that is why I am asking this.

Regards, mjuti
c74k
Posts: 105
Joined: Tue May 04, 2010 7:45 pm

Re: [App] PVR+ 3.x

Post by c74k »

mjuti wrote:
c74k wrote:are you try record by samba ??
No, I have no samba, only nfs...
Has anybody ever had success in pvr recording through NFS on a B series Samsung?
I have tried lots of options but no success ( even method for c series ) that is why I am asking this.

Regards, mjuti
yes buy not on pvr+
c74k
Posts: 105
Joined: Tue May 04, 2010 7:45 pm

Re: [App] PVR+ 3.x

Post by c74k »

mjuti
Posts: 27
Joined: Sun Mar 03, 2013 2:36 am

Re: [App] PVR+ 3.x

Post by mjuti »

Hey, thanks for your help, man....
It's working, my only problem is no sound....
geo650
Official SamyGO Developer
Posts: 303
Joined: Wed Oct 07, 2009 12:03 pm

Re: [App] PVR+ 3.x

Post by geo650 »

mjuti wrote:...my only problem is no sound....
Then try TSfix 0.2 - a commandline tool for Windows. Send me a piece of recording that this tool cannot fix, if any. The tool will be included in PVR+ 4.0 package (can't say when, probably after a few months).
mjuti
Posts: 27
Joined: Sun Mar 03, 2013 2:36 am

Re: [App] PVR+ 3.x

Post by mjuti »

geo650 wrote:
mjuti wrote:...my only problem is no sound....
Then try TSfix 0.2 - a commandline tool for Windows.
Thanks geo650, I'll definitely try this, as soon as I am getting close to Windows, as I am on xubuntu. Any linux tool for the same job?
Looking forward to your newest release....
geo650
Official SamyGO Developer
Posts: 303
Joined: Wed Oct 07, 2009 12:03 pm

Re: [App] PVR+ 3.x

Post by geo650 »

mjuti wrote:Any linux tool for the same job?
I am quite sure it can be run under (x)Ubuntu with WinE package installed. If not, I can ask the author to compile x86 linux version (it is probably not a big problem).

EDIT: Here you are: TSfix 0.3 preview edition for x86 Linux and MS Windows. Enjoy!

Post Reply

Return to “[B] Software”